Skip to main content
`Ctrl`+`K`
scipy.optimize.LbfgsInvHessProduct.

# matvec

LbfgsInvHessProduct.matvec(x)

  Matrix-vector multiplication.

  Performs the operation y=A@x where A is an MxN linear operator and x is a column vector or 1-d array.

  Parameters:
    x{matrix, ndarray}

      An array with shape (N,) or (N,1).

  Returns:
    y{matrix, ndarray}

      A matrix or ndarray with shape (M,) or (M,1) depending on the type and shape of the x argument.

  Notes

  This matvec wraps the user-specified matvec routine or overridden _matvec method to ensure that y has the correct shape and type.